@import "variables";

/**  ##### HTML, BODY, MAIN ##### **/

body {
  overflow-x: hidden;

  &.lock {
    overflow: hidden;
  }

  font-family: Roboto;
}

main {
  padding: 60px 0;
}

::-webkit-scrollbar {
  width: 0;
}

::selection {
  background: $primary-red;
}

.hidden {
  display: none !important;
}

.no-padding {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

span.error {
  display: block;
  margin-top: 5px;
  padding: 5px;
  border: 1px solid $light-gray;
  border-radius: 2px;
  text-align: center;
  background: #F2DEDE;
  font-size: 13px;
  color: $primary-red;
}

span.success {
  display: block;
  margin-top: 5px;
  padding: 5px;
  border: 1px solid $light-gray;
  border-radius: 2px;
  text-align: center;
  background: #DFF0D8;
  font-size: 13px;
  color: #7DB640;
}

span.error.error-main,
span.success.success-main {
  font-size: 14px;
  margin: 20px 0;
}

.ribbon {
  height: 30px;
  padding-left: 30px;
  padding-right: 20px;
  padding-top: 1px;
  background-color: white;
  font-size: 16px;
  color: $primary-gray;
  text-align: right;
  transition: all 200ms;

  &:before {
    content: "";
    display: block;
    position: absolute;
    left: -7px;
    border-style: solid;
    border-width: 15px 0 15px 7px;
    border-color: white transparent;
    margin-top: -1px;
  }

  span {
    vertical-align: middle;
    margin-right: 5px;
  }

  img {
    height: 25px;
  }
}

.info-icon {
  height: 14px;
  width: 14px;
  display: inline-block;
  margin: 0 0 -2px 2px;
  background-image: url("/toybox/resources/images/icons/icon_info.svg");
  cursor: pointer;
  transition: all 200ms;

  &:hover {
    transform: scale(0.9);
    transition: all 200ms;
  }
}

/**  ##### BUTTONS, LINKS ##### **/

a {
  color: $middle-gray;

  &:hover {

  }

  &:visited,
  &:active {
    color: $middle-gray;
  }
}

a.btn,
button.btn {
  padding: 9px 35px;
  min-width: 130px;
  height: 40px;
  background-color: $primary-gray;
  transition: background-color 200ms;
  box-shadow: 1px 1px 0 0 darken($primary-gray, 20%);
  border-radius: 1px;
  font-size: 18px;
  color: white;
  text-decoration: none;

  &:focus {
    box-shadow: 1px 1px 0 0 darken($primary-red, 20%);
  }

  &.active {
    background-color: $primary-red;
    transition: background-color 200ms;
    box-shadow: 1px 1px 0 0 darken($primary-red, 20%);
  }

  &:hover {
    background-color: $primary-red;
    transition: background-color 200ms;
    box-shadow: 1px 1px 0 0 darken($primary-red, 20%);
    color: white;
    cursor: pointer;

    &.active {
      background-color: darken($primary-red, 4%);
    }
  }
}


/**  ##### HEADER ##### **/

header {
  height: 350px;
  background-color: $primary-yellow;

  #logo {
    margin: 75px auto 0;

    img {
      height: 150px;
    }
  }

  nav {
    margin: 70px auto 0;

    .btn {
      margin: 0 10px;
    }
  }
}

@keyframes menu-item-in {
  0%   {transform: translateX(165px);opacity: 0;}
  100% {transform: translateX(5px);opacity: 1;}
}

@keyframes menu-item-out {
  0%   {transform: translateX(5px);opacity: 1;}
  100% {transform: translateX(165px);opacity: 0;}
}

#user-menu {
  position: absolute;
  top: 20px;
  right: 0;
  opacity: 0;
  transform: translateX(160px);
  transition: all 1000ms;

  #menu,
  #login {

    .ribbon {
      padding-right: 40px;
      transform: translateX(20px);
      background-color: $primary-gray;
      color: white;

      &:before {
        border-color: $primary-gray transparent;
      }
    }

    &:hover .ribbon {
      transform: translateX(0);
      transition: all 200ms ease-out;
    }
  }

  a {
    display: block;

    &:hover {
      text-decoration: none;
    }
  }

  ul {
    list-style-type: none;
    margin: 0;
    transition: all 300ms;

    li {
      padding: 5px 0 5px 5px;
      opacity: 0;
      background-color: white;
      transition: opacity 300ms;

      a {
        color: $primary-gray;
      }

      span {
        padding: 0 10px;
      }

      svg {
        height: 20px;
        width: 20px;
        float: right;
        margin-top: 2px;
        margin-right: 27px;
        fill: $primary-gray;
      }

      &:hover,
      &.active {
        margin-left: -5px;
        padding-left: 10px;
        background-color: $primary-gray;
        transition: background-color 300ms;
        cursor: pointer;

        a {
          color: white;
        }

        svg {
          fill: white;
        }
      }

      &.show {
        &:nth-of-type(1) {
          animation: menu-item-in 300ms ease-in-out 0ms 1 forwards;
        }
        &:nth-of-type(2) {
          animation: menu-item-in 350ms ease-in-out 0ms 1 forwards;
        }
        &:nth-of-type(3) {
          animation: menu-item-in 400ms ease-in-out 0ms 1 forwards;
        }
        &:nth-of-type(4) {
          animation: menu-item-in 450ms ease-in-out 0ms 1 forwards;
        }
      }

      &.hide {
        &:nth-of-type(4) {
          animation: menu-item-out 300ms ease-in-out 0ms 1 forwards;
        }
        &:nth-of-type(3) {
          animation: menu-item-out 350ms ease-in-out 0ms 1 forwards;
        }
        &:nth-of-type(2) {
          animation: menu-item-out 400ms ease-in-out 0ms 1 forwards;
        }
        &:nth-of-type(1) {
          animation: menu-item-out 450ms ease-in-out 0ms 1 forwards;
        }
      }
    }
  }

  &.show {
    opacity: 1;
    transform: translateX(0);
    transition: opacity 300ms, all 1000ms;
  }
}

#user-sidemenu {
  border-right: 1px solid $light-gray;

  a {
    width: 100%;
    display: block;
    color: $primary-gray;
    margin: 2px 0;
    padding: 3px 0;
    padding-left: 15px;

    &.active {
      background: $light-gray;
    }

    &:hover {
      text-decoration: none;
      background-color: $light-gray;
      transition: background-color 200ms ease-out;
    }

    &.heading {
      font-size: 20px;
      margin-top: 10px;
      padding-left: 5px;

      &:hover {
        background-color: transparent;
      }
    }
  }
}


/**  ##### FOOTER ##### **/

footer {
  height: 150px;
  border-top: 1px solid $light-gray;

  p {
    margin: 40px auto 0 auto;
    padding: 20px;
    color: $middle-gray;
    font-weight: 200;
  }
}


/**  ##### MODALS ##### **/

.modal-content {
  border-radius: 2px;

  .close:hover {
    cursor: pointer;
  }
}


/**  ##### ERROR PAGES ##### **/

#error-403 {

}

#error-404 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: $primary-yellow;

  > div {
    position: relative;
    top: 40%;
    transform: translateY(-40%);
  }

  h1 {
    font-family: Roboto;
    font-size: 280px;
    font-weight: 900;
    color: $primary-red;
    text-align: center;
  }

  p {
    float: right;
    font-size: 20px;
    line-height: 1.3;
    color: white;

    span {
      /** adds line break **/
      display: block;
    }
  }

  .buttons {
    padding-top: 8px;

    .btn:first-of-type {
      margin-right: 20px;
    }
  }

  // Large devices (desktops, 992px and below)
  @media (max-width: 992px) {
    .details > div {
      display: flex;
      justify-content: center;
    }
  }

  // Small devices (landscape phones, 576px and below)
  @media (max-width: 576px) {
    h1 {
      font-size: 160px;
    }

    p {
      font-size: 16px;
    }
  }

  // Phones (390px and below)
  @media (max-width: 390px) {
    p {
      text-align: center;

      span {
        /** removes line break **/
        display: inline-block;
      }
    }
  }
}


/**  ##### FORM ELEMENTS ##### **/

.form-control {
  width: 100%;
  border: 1px solid $light-gray;
  border-radius: 1px;
  font-size: 14px;
  color: $middle-gray;

  &:active,
  &:focus {
    color: $dark-gray;
    border-color: $primary-yellow;
  }
}

input {
  height: 40px;
}

textarea {
  height: 100px;
}

.btn {
  border-radius: 2px;
}

.btn-secondary {
  height: 40px;
  padding: 8px 24px;
  background-color: white;
  border: 1px solid $light-gray;
  color: $dark-gray;

  &.active,
  &:focus {
    box-shadow: none;
  }

  &:hover {
    background-color: white;
    border: 1px solid $light-gray;
    color: $dark-gray;
    cursor: pointer;
  }

  &.active,
  &:active,
  &.active:hover,
  &:active:hover {
    background-color: $primary-yellow;
    border: 1px solid $light-gray;
    color: white;
  }
}

.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px;

  input {
    display:none;

    &:checked + .slider {
      background-color: $btn-positive;

      &:before {
        -webkit-transform: translateX(19px);
        -ms-transform: translateX(19px);
        transform: translateX(19px);
      }
    }

    &:focus + .slider {
      box-shadow: 0 0 1px $btn-positive;
    }
  }

  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 1px;
    background-color: $middle-gray;
    -webkit-transition: 400ms;
    transition: 400ms;

    &:before {
      position: absolute;
      content: "";
      height: 17px;
      width: 17px;
      left: 2px;
      bottom: 2px;
      border-radius: 1px;
      background-color: white;
      -webkit-transition: 400ms;
      transition: 400ms;
    }
  }
}

// Extra large devices (large desktops, 1200px and below)
@media (max-width: 1200px) {

}

// Large devices (desktops, 992px and below)
@media (max-width: 992px) {

}

// Medium devices (tablets, 768px and below)
@media (max-width: 768px) {

}

// Small devices (landscape phones, 576px and below)
@media (max-width: 576px) {

}
